import request from '/@/utils/request';

export function useRoleApi() {
    return {
        // v2
        getRoleList: () => {
            return request({
                url: import.meta.env.VITE_API_URL + `/role/list`,
                method: 'post'
            });
        },
        // v2
        addRole: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/role/add`,
                method: 'post',
                data: data
            });
        },
        // v2
        modRole: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/role/mod`,
                method: 'post',
                data: data
            });
        },
        // v2
        deleteRole: (value?: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/role/del`,
                method: 'post',
                data: value
            });
        }
    };
}
